[arch-haskell] Instructions on navigating the current pkgs issues.

Alessandro Pezzoni alessandro_pezzoni at lavabit.com
Sat Oct 12 07:40:08 UTC 2013

Sadly I haven't got around the haskell-related dependency issues
myself (haskell packages depend on specific versions of other haskell
packages, thus pacman complains when you try to update them). I can
tell you, though, that ghc 7.4.1 has been moved to [extra] and
[haskell], and that the haskell-platform package has been removed as
it currently depends on ghc 7.0.x and next release is planned for May
2012. As such, you should remove the haskell-platform related (hence
the haskell) packages from your system, update, and then reinstall
what you need (starting with ghc and cabal-install).
If you need more than basic packages, I suggest you add the [haskell]
repo to your pacman.conf (see here [1]) before the [extra] repo and
use those packages instead (simply due to broader availability).

Hope this helps,

1: https://wiki.archlinux.org/index.php/Haskell_package_guidelines

If God had intended for email to be written in HTML, then the
traditional signoff of prayers would be </amen> -- Tom Liston

More information about the arch-haskell mailing list